Subject: Re: 30.0.50; cmcheckmagic aborts when tty_write_glyphs writes "Garbage collecting..." in some cases

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 20:39:57 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Mon, 3 Jun 2024 16:55:25 +0000
> Cc: [email-masked]
> 
> > > But sometimes I can't reproduce it at all with this method!
> > > And never could I in emacs -Q
> >
> > So maybe you could bisect your init files and find the
> > customization(s) which make the reproduction possible?  Because I
> > cannot reproduce any of this here, no matter what I try.
> 
> I tried but it took too long to evaluate each version, because I don't
> have a formula to reproduce this. Sometimes I could crash it in
> seconds, sometimes I couldn't in minutes.
> I'll try to reproduce it in a faster way.

Please update from Git before trying anything else wrt this bug.  I
installed a simple baind-aid that is intended to avoid problems with
frame dimensions while we have an unhandled SIGWINCH.